<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cokr.xit.fims.crdn.dao.CrdnInstMapper">

<insert id="insertCrdn" parameterType="cokr.xit.fims.crdn.Crdn">
/* 단속 대장 등록(crdnInstMapper.insertCrdn) */
<selectKey resultType="string" keyProperty="crdnId" keyColumn="NEW_ID" order="BEFORE">
	<include refid="numbering.keyByYear">
		<property name="TABLE_NAME" value="TB_CRDN" />
		<property name="TABLE_KEY" value="CRDN_ID" />
		<property name="pad" value="20" />
	</include>
</selectKey>
INSERT INTO TB_CRDN (
       CRDN_ID               <!-- 단속 ID -->
     , SGG_CD                <!-- 시군구 코드 -->
     , CRDN_REG_SE_CD        <!-- 단속 등록 구분 코드 -->
     , CRDN_INPT_SE_CD       <!-- 단속 입력 구분 코드 -->
     , TASK_SE_CD            <!-- 업무 구분 코드 -->
     , CVLCPT_LINK_YN        <!-- 민원 연계 여부 -->
     , CVLCPT_LINK_TBL_NM    <!-- 민원 연계 테이블 명 -->
     , CVLCPT_LINK_ID        <!-- 민원 연계 ID -->
     , RTPYR_ID              <!-- 납부자 ID -->
     , ADDR_SN               <!-- 주소 일련번호 -->
     , CRDN_YMD              <!-- 단속 일자 -->
     , CRDN_TM               <!-- 단속 시각 -->
     , VHRNO                 <!-- 차량번호 -->
     , CRDN_STDG_NM          <!-- 단속 법정동 명 -->
     , CRDN_ROAD_NM          <!-- 단속 도로 명 -->
     , CRDN_PLC              <!-- 단속 장소 -->
     , VLTN_ID               <!-- 위반 ID -->
     , GPS_X                 <!-- GPS X -->
     , GPS_Y                 <!-- GPS Y -->
     , ATCH_FILE_CNT         <!-- 첨부 파일 수 -->
     , VIN                   <!-- 차대번호 -->
     , VHCL_NM               <!-- 차량 명 -->
     , VHCL_COLR             <!-- 차량 색상 -->
     , VHCL_CPCT             <!-- 차량 승차정원 -->
     , FFNLG_CRDN_AMT        <!-- 과태료 단속 금액 -->
     , FFNLG_RDCRT           <!-- 과태료 감경 율 -->
     , FFNLG_AMT             <!-- 과태료 금액 -->
     , ADVNTCE_BGNG_YMD      <!-- 사전통지 시작 일자 -->
     , ADVNTCE_DUDT_YMD      <!-- 사전통지 납기 일자 -->
     , ADVNTCE_AMT           <!-- 사전통지 금액 -->
     , OPNN_SBMSN_YN         <!-- 의견 제출 여부 -->
     , ETC_CN                <!-- 기타 내용 -->
     , CRDN_STTS_CD          <!-- 단속 상태 코드 -->
     , CRDN_STTS_CHG_DT      <!-- 단속 상태 변경 일시 -->
     , ADTN_AMT              <!-- 가산 금액 -->
     , MINUS_AMT             <!-- 감경 금액 -->
     , RCVMT_AMT             <!-- 수납 금액 -->
     , BFR_CRDN_ID           <!-- 이전 단속 ID -->
     , DEL_YN                <!-- 삭제 여부 -->
     , REG_DT                <!-- 등록 일시 -->
     , RGTR                  <!-- 등록자 -->
     , MDFCN_DT              <!-- 수정 일시 -->
     , MDFR                  <!-- 수정자 -->
     , DEL_DT                <!-- 삭제 일시 -->
     , DLTR                  <!-- 삭제자 -->
     , DEL_RSN               <!-- 삭제 사유 -->
) VALUES ( 
       #{crdnId}                <!-- 단속 ID -->
     , #{sggCd}                 <!-- 시군구 코드 -->
     , #{crdnRegSeCd}           <!-- 단속 등록 구분 코드 -->
     , #{crdnInptSeCd}          <!-- 단속 입력 구분 코드 -->
     , #{taskSeCd}              <!-- 업무 구분 코드 -->
     , #{cvlcptLinkYn}          <!-- 민원 연계 여부 -->
     , #{cvlcptLinkTblNm}       <!-- 민원 연계 테이블 명 -->
     , #{cvlcptLinkId}          <!-- 민원 연계 ID -->
     , #{rtpyrId}               <!-- 납부자 ID -->
     , #{addrSn}                <!-- 주소 일련번호 -->
     , #{crdnYmd}               <!-- 단속 일자 -->
     , #{crdnTm}                <!-- 단속 시각 -->
     , #{vhrno}                 <!-- 차량번호 -->
     , #{crdnStdgNm}            <!-- 단속 법정동 명 -->
     , #{crdnRoadNm}            <!-- 단속 도로 명 -->
     , #{crdnPlc}               <!-- 단속 장소 -->
<if test='vltnId != null'>   , #{vltnId}</if>
<if test='vltnId == null'>
     , (SELECT A.VLTN_ID
          FROM TB_VLTN A
         WHERE A.SGG_CD = #{sggCd}
           AND A.TASK_SE_CD = #{taskSeCd}
           AND A.VLTN_CD = #{vltnCd})</if>                <!-- 위반 ID -->
     , #{gpsX}                  <!-- GPS X -->
     , #{gpsY}                  <!-- GPS Y -->
     , #{atchFileCnt}           <!-- 첨부 파일 수 -->
     , #{vin}                   <!-- 차대번호 -->
     , #{vhclNm}                <!-- 차량 명 -->
     , #{vhclColr}              <!-- 차량 색상 -->
     , #{vhclCpct}             <!-- 차량 승차정원 -->
     , #{ffnlgCrdnAmt}          <!-- 과태료 금액 -->
     , #{ffnlgRdcrt}            <!-- 과태료 감경 율 -->
     , #{ffnlgAmt}              <!-- 부과 금액 -->
     , #{advntceBgngYmd}        <!-- 사전통지 시작 일자 -->
     , #{advntceDudtYmd}        <!-- 사전통지 납기 일자 -->
     , #{advntceAmt}            <!-- 사전통지 금액 -->
     , #{opnnSbmsnYn}           <!-- 의견 제출 여부 -->
     , #{etcCn}                 <!-- 기타 내용 -->
     , #{crdnSttsCd}            <!-- 단속 상태 코드 -->
     , #{crdnSttsChgDt}         <!-- 단속 상태 변경 일시 -->
     , #{adtnAmt}               <!-- 가산 금액 -->
     , #{minusAmt}              <!-- 감경 금액 -->
     , #{rcvmtAmt}              <!-- 수납 금액 -->
     , #{bfrCrdnId}             <!-- 이전 단속 ID -->
     , 'N'                           <!-- 삭제 여부 -->
     , #{createdAt}             <!-- 등록 일시 -->
     , #{createdBy}             <!-- 등록자 -->
     , #{lastModified}          <!-- 수정 일시 -->
     , #{modifiedBy}            <!-- 수정자 -->
     , #{removedAt}             <!-- 삭제 일시 -->
     , #{removedBy}             <!-- 삭제자 -->
     , #{delRsn}                <!-- 삭제 사유 -->
)</insert>

<insert id="insertCrdnAddition" parameterType="cokr.xit.fims.crdn.Crdn">
/* 단속 부가 정보 등록(crdnInstMapper.insertCrdnAddition) */
INSERT INTO TB_CRDN_ADI (
       CRDN_ID               <!-- 단속 ID -->
     , CRDN_SE_CD            <!-- 단속 구분 코드 -->
     , DTL_CRDN_PLC          <!-- 상세 단속 장소 -->
     , CRDN_SPAREA_CD        <!-- 단속 특별구역 코드 -->
     , CRDN_BGNG_TM          <!-- 단속 시작 시각 -->
     , CRDN_END_TM           <!-- 단속 종료 시간 -->
     , CRDN_SN               <!-- 단속 일련번호 -->
     , MOSC_X                <!-- 모자이크 X -->
     , MOSC_Y                <!-- 모자이크 Y -->
     , TOWNG_YN              <!-- 견인 여부 -->
     , USE_FUEL_CD           <!-- 사용 연료 코드 -->
     , FFNLG_CARMDL_CD       <!-- 과태료 차종 코드 -->
     , PRK_PSBLTY_RSLT_CD    <!-- 주차 가능 결과 코드 -->
     , VLTN_NMTM             <!-- 위반 횟수 -->
     , OVTM_YN               <!-- 시간외 여부 -->
     , OVTM_PRTTN_YN         <!-- 시간외 분할 여부 -->
     , TEAM_ID               <!-- 조 ID -->
     , DEL_YN                <!-- 삭제 여부 -->
     , REG_DT                <!-- 등록 일시 -->
     , RGTR                  <!-- 등록자 -->
     , MDFCN_DT              <!-- 수정 일시 -->
     , MDFR                  <!-- 수정자 -->
     , DEL_DT                <!-- 삭제 일시 -->
     , DLTR                  <!-- 삭제자 -->
     , DEL_RSN               <!-- 삭제 사유 -->
) VALUES (
       #{crdnId}                <!-- 단속 ID -->
     , #{crdnSeCd}              <!-- 단속 구분 코드 -->
     , #{dtlCrdnPlc}            <!-- 상세 단속 장소 -->
     , #{crdnSpareaCd}          <!-- 단속 특별구역 코드 -->
     , #{crdnBgngTm}            <!-- 단속 시작 시각 -->
     , #{crdnEndTm}             <!-- 단속 종료 시간 -->
     , #{crdnSn}                <!-- 단속 일련번호 -->
     , #{moscX}                 <!-- 모자이크 X -->
     , #{moscY}                 <!-- 모자이크 Y -->
     , #{towngYn}               <!-- 견인 여부 -->
     , #{useFuelCd}             <!-- 사용 연료 코드 -->
     , #{ffnlgCarmdlCd}         <!-- 과태료 차종 코드 -->
     , #{prkPsbltyRsltCd}       <!-- 주차 가능 결과 코드 -->
     , #{vltnNmtm}              <!-- 위반 횟수 -->
     , IFNULL(#{ovtmYn},'N')    <!-- 시간외 여부 -->
     , 'N'                      <!-- 시간외 분할 여부 -->
     , #{teamId}                <!-- 조 ID -->
     , 'N'                      <!-- 삭제 여부 -->
     , #{createdAt}             <!-- 등록 일시 -->
     , #{createdBy}             <!-- 등록자 -->
     , #{lastModified}          <!-- 수정 일시 -->
     , #{modifiedBy}            <!-- 수정자 -->
     , #{removedAt}             <!-- 삭제 일시 -->
     , #{removedBy}             <!-- 삭제자 -->
     , #{delRsn}                <!-- 삭제 사유 -->
)
</insert>

</mapper>